<?php

defined('ABSPATH') or die("No script kiddies please!");

$allowedposttags = wp_kses_allowed_html('post');

$pw_review_template = !empty($_POST['erp_default_pw_review_template'])?sanitize_text_field($_POST['erp_default_pw_review_template']):0;
$old = get_post_meta($post_id, 'erp_default_pw_review_template', true);
$new = sanitize_text_field($_POST['erp_default_pw_review_template']);
if ($new && $new != $old) {
    update_post_meta($post_id, 'erp_default_pw_review_template', $new);
} elseif ('' == $new && $old) {
    delete_post_meta($post_id, 'erp_default_pw_review_template', $old);
}

$pw_review_form_template = sanitize_text_field($_POST['erp_default_pw_review_form_template']);

$old2 = get_post_meta($post_id, 'erp_default_pw_review_form_template', true);
$new2 = sanitize_text_field($_POST['erp_default_pw_review_form_template']);
if ($new2 && $new2 != $old2) {
    update_post_meta($post_id, 'erp_default_pw_review_form_template', $new2);
} elseif ('' == $new2 && $old2) {
    delete_post_meta($post_id, 'erp_default_pw_review_form_template', $old2);
}

if (isset($_POST['pw_review_section_sort'])) {
    $pw_review_section_sort = $_POST['pw_review_section_sort'];
    if (isset($pw_review_section_sort)) {
        $pw_review_section_sort = $pw_review_section_sort;
    } else {
        $pw_review_section_sort = array();
    }
} else {
    $pw_review_section_sort = array();
}

$old3 = get_post_meta($post_id, 'pw_review_section_sort', true);
$new3 = $pw_review_section_sort;
if ($new3 && $new3 != $old3) {
    update_post_meta($post_id, 'pw_review_section_sort', $new3);
} elseif ('' == $new3 && $old3) {
    delete_post_meta($post_id, 'pw_review_section_sort', $old3);
}

$pw_admin_sec_show_hide_sec = sanitize_text_field($_POST['review_section_pw_show_hide_admin_sec']);

$old4 = get_post_meta($post_id, 'review_section_pw_show_hide_admin_sec', true);
$new4 = isset($_POST['review_section_pw_show_hide_admin_sec']) ? sanitize_text_field($_POST['review_section_pw_show_hide_admin_sec']) : '';
if ($new4 && $new4 != $old4) {
    update_post_meta($post_id, 'review_section_pw_show_hide_admin_sec', $new4);
} elseif ('' == $new4 && $old4) {
    delete_post_meta($post_id, 'review_section_pw_show_hide_admin_sec', $old4);
}

$pw_review_section_pw_show_hide_user_sec = sanitize_text_field($_POST['review_section_pw_show_hide_user_sec']);
$old5 = get_post_meta($post_id, 'review_section_pw_show_hide_user_sec', true);
$new5 = isset($_POST['review_section_pw_show_hide_user_sec']) ? sanitize_text_field($_POST['review_section_pw_show_hide_user_sec']) : '';
if ($new5 && $new5 != $old5) {
    update_post_meta($post_id, 'review_section_pw_show_hide_user_sec', $new5);
} elseif ('' == $new5 && $old5) {
    delete_post_meta($post_id, 'review_section_pw_show_hide_user_sec', $old5);
}

$pw_review_section_pw_show_hide_review_form = sanitize_text_field($_POST['review_section_pw_show_hide_review_form']);
$old6 = get_post_meta($post_id, 'review_section_pw_show_hide_review_form', true);
$new6 = isset($_POST['review_section_pw_show_hide_review_form']) ? sanitize_text_field($_POST['review_section_pw_show_hide_review_form']) : '';
if ($new6 && $new6 != $old6) {
    update_post_meta($post_id, 'review_section_pw_show_hide_review_form', $new6);
} elseif ('' == $new6 && $old6) {
    delete_post_meta($post_id, 'review_section_pw_show_hide_review_form', $old6);
}

$old7 = get_post_meta($post_id, 'er_pw_review_position', true);
$new7 = sanitize_text_field($_POST['er_pw_review_position']);
if ($new7 && $new7 != $old7) {
    update_post_meta($post_id, 'er_pw_review_position', $new7);
} elseif ('' == $new7 && $old7) {
    delete_post_meta($post_id, 'er_pw_review_position', $old7);
}

//Admin Review form
if (isset($_POST['admin_pw_review_parameter'])) {
    $general_review_settings_parameter_list = (array) $_POST['admin_pw_review_parameter'];
    $admin_pw_review_settings_parameter_temp = array();
    foreach ($general_review_settings_parameter_list as $key => $val) {
        $admin_pw_review_settings_parameter_temp[$key] = array();
        foreach ($val as $k => $v) {
            if (!is_array($v)) {
                $admin_pw_review_settings_parameter_temp[$key][$k] = sanitize_text_field($v);
            } else {
                $admin_pw_review_settings_parameter_temp[$key][$k] = array_map('sanitize_text_field', $v);
            }
        }
    }
    $pw_admin_review_settings_parameter_array = $admin_pw_review_settings_parameter_temp;
}

$adm_old = get_post_meta($post_id, 'admin_pw_review_parameter', true);
$adm_new = $pw_admin_review_settings_parameter_array;
if ($adm_new && $adm_new != $adm_old) {
    update_post_meta($post_id, 'admin_pw_review_parameter', $adm_new);
} elseif ('' == $adm_new && $adm_old) {
    delete_post_meta($post_id, 'admin_pw_review_parameter', $adm_old);
}

$adm_old2 = get_post_meta($post_id, 'erp_pw_review_form_header', true);
$adm_new2 = sanitize_text_field($_POST['erp_pw_review_form_header']);
if ($adm_new2 && $adm_new2 != $adm_old2) {
    update_post_meta($post_id, 'erp_pw_review_form_header', $adm_new2);
} elseif ('' == $adm_new2 && $adm_old2) {
    delete_post_meta($post_id, 'erp_pw_review_form_header', $adm_old2);
}

//review Description
$adm_old3 = get_post_meta($post_id, 'erp_pw_review_summary', true);
$adm_new3 = wp_kses($_POST['erp_pw_review_summary'], $allowedposttags);
if ($adm_new3 && $adm_new3 != $adm_old3) {
    update_post_meta($post_id, 'erp_pw_review_summary', $adm_new3);
} elseif ('' == $adm_new3 && $adm_old3) {
    delete_post_meta($post_id, 'erp_pw_review_summary', $adm_old3);
}

//Review Pro Header
$adm_old4 = get_post_meta($post_id, 'erp_pw_review_pro_header', true);
$adm_new4 = sanitize_text_field($_POST['erp_pw_review_pro_header']);
if ($adm_new4 && $adm_new4 != $adm_old4) {
    update_post_meta($post_id, 'erp_pw_review_pro_header', $adm_new4);
} elseif ('' == $adm_new4 && $adm_old4) {
    delete_post_meta($post_id, 'erp_pw_review_pro_header', $adm_old4);
}

//review Pro Description

$adm_old5 = get_post_meta($post_id, 'erp_pw_review_pros', true);
$adm_new5 = wp_kses($_POST['erp_pw_review_pros'], $allowedposttags);
if ($adm_new5 && $adm_new5 != $adm_old5) {
    update_post_meta($post_id, 'erp_pw_review_pros', $adm_new5);
} elseif ('' == $adm_new5 && $adm_old5) {
    delete_post_meta($post_id, 'erp_pw_review_pros', $adm_old5);
}

//Review Pro Header
$adm_old6 = get_post_meta($post_id, 'erp_pw_review_cons_header', true);
$adm_new6 = sanitize_text_field($_POST['erp_pw_review_cons_header']);
if ($adm_new6 && $adm_new6 != $adm_old6) {
    update_post_meta($post_id, 'erp_pw_review_cons_header', $adm_new6);
} elseif ('' == $adm_new6 && $adm_old6) {
    delete_post_meta($post_id, 'erp_pw_review_cons_header', $adm_old6);
}

//review Pro Description
$adm_old7 = get_post_meta($post_id, 'erp_pw_review_cons', true);
$adm_new7 = wp_kses($_POST['erp_pw_review_cons'], $allowedposttags);
if ($adm_new7 && $adm_new7 != $adm_old7) {
    update_post_meta($post_id, 'erp_pw_review_cons', $adm_new7);
} elseif ('' == $adm_new7 && $adm_old7) {
    delete_post_meta($post_id, 'erp_pw_review_cons', $adm_old7);
}

//Review Image Type
$adm_old8 = get_post_meta($post_id, 'page_wise_meta_review_image_type', true);
$adm_new8 = sanitize_text_field($_POST['page_wise_meta_review_image_type']);
if ($adm_new8 && $adm_new8 != $adm_old8) {
    update_post_meta($post_id, 'page_wise_meta_review_image_type', $adm_new8);
} elseif ('' == $adm_new8 && $adm_old8) {
    delete_post_meta($post_id, 'page_wise_meta_review_image_type', $adm_old8);
}

//Review Custom Feature Image
$adm_old9 = get_post_meta($post_id, 'erp_upload_custom_feat_image_url', true);
$adm_new9 = sanitize_text_field($_POST['erp_upload_custom_feat_image_url']);
if ($adm_new9 && $adm_new9 != $adm_old9) {
    update_post_meta($post_id, 'erp_upload_custom_feat_image_url', $adm_new9);
} elseif ('' == $adm_new9 && $adm_old9) {
    delete_post_meta($post_id, 'erp_upload_custom_feat_image_url', $adm_old9);
}

$old_disable_review = get_post_meta($post_id, 'erp_pw_review_section_disable_for_particular_section', true);
$new_disable_review = isset($_POST['erp_pw_review_section_disable_for_particular_section']) && !empty($_POST['erp_pw_review_section_disable_for_particular_section']) ? sanitize_text_field($_POST['erp_pw_review_section_disable_for_particular_section']) : '0';

if (isset($new_disable_review) && ($new_disable_review != $old_disable_review)) {
    update_post_meta($post_id, 'erp_pw_review_section_disable_for_particular_section', $new_disable_review);
} elseif ('' == $new_disable_review && $old_disable_review) {
    delete_post_meta($post_id, 'erp_pw_review_section_disable_for_particular_section', $old_disable_review);
}