<?php
defined('ABSPATH') or die('No script kiddies please!');
?>
<div class="erp-inner-wrapper" id="poststuff">

    <?php include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . 'inc/backend/includes/header.php'); ?>
    <div id="post-body" class="metabox-holder columns-2">
        <div id="post-body-content">
            <div class="postbox">
                <div class="erp-user-review-setting-option-wrapper clearfix" id="col-container">
                    <div class="erp_manage-review-forms erp_tabs_content ">
                        <div class="erp-tab-title">
                            <h3><?php _e('Review Forms', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></h3>
                        </div>
                        <?php
                        /**
                         * session messages are displayed here
                         * such as database insert, delete, update
                         * success or failure messages
                         */
                        if (isset($_GET['message']) && $_GET['message'] == '5') {
                            ?>
                            <div class="notice notice-success is-dismissible">
                                <?php
                                _e('Review Form Deleted Successfully', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                                ?>
                            </div>
                        <?php } if (isset($_GET['message']) && $_GET['message'] == '6') { ?>
                            <div class="notice notice-error is-dismissible">
                                <?php
                                _e('Review Form Wasn\'t Deleted. Please Try Again.', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                                ?>
                            </div> 
                            <?php
                        }
                        ?>
                        <?php if (isset($_GET['action']) && ($_GET['action'] == 'edit' || $_GET['action'] == 'add')) { ?>
                            <div class="erp-create-new">
                                <?php include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . 'inc/backend/form-setting-fields/erp-review-template-editor.php'); ?>    
                            </div>
                        <?php } else {
                            ?>
                            <div class="erp-listing postbox">
                                <?php
                                $logs = $this->erp_pull_all_review_form_table();
                                $erp_clear_log_nonce = wp_create_nonce('erp-clear-log-nonce');
                                ?>

                                <div class="erp-add-new">
                                    <a href="<?php echo admin_url(); ?>edit.php?post_type=everestreview&page=everest-review-new-form" class="add-new-h2"><?php echo __('Add New Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN) ?></a>
                                </div>

                                <table class="widefat stripped">
                                    <thead>
                                        <tr>
                                            <th><?php _e('SN', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Title', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Template', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Actions', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th><?php _e('SN', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Title', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Template', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                            <th><?php _e('Actions', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        if (count($logs) > 0) {
                                            $log_count = 1;
                                            $parameteres = array();

                                            foreach ($logs as $log) {
                                                $parameteres = unserialize($log['reviewer_template_settings']);
                                                $template_type = explode("-", $parameteres['erp_review_form_type']);
                                                $id = $log['id'];
                                                $delete_nonce = wp_create_nonce('erp_delete_review_form_template_nonce');
                                                $row_class = ($log_count % 2 == 0) ? 'erp-even-row' : 'erp-odd-row';
                                                ?>
                                                <tr class="<?php echo esc_attr($row_class); ?>">
                                                    <td>
                                                        <?php echo esc_attr($log_count); ?>
                                                    </td>
                                                    <td class="title column-title">
                                                        <a href="<?php echo admin_url("edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id={$log['id']}"); ?>"><?php echo ($log['review_template_name'] != '') ? esc_attr($log['review_template_name']) : __('Untitled Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
                                                    </td>
                                                    <td>
                                                        <?php echo $template_type[0] . "&nbsp;" . $template_type[1]; ?>
                                                    </td>
                                                    <td>
                                                        <span class="erp-post-link"><a href="<?php echo admin_url("edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id={$log['id']}"); ?>"><?php _e('Edit', EVEREST_REVIEW_LITE_TEXT_DOMAIN) ?></a></span>&nbsp;|&nbsp;
                                                        <span class="erp-delete-link"><a href="<?php echo admin_url("admin-post.php?post_type=everestreview&page=everest-review-form&action=erp_delete_review_template&er-id=" . $id . "&_wpnonce=" . $delete_nonce . ""); ?>" onclick="return confirm('<?php _e('Are you sure to delete? There is no undo', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>')"><?php _e('Delete', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a></span>
                                                    </td>
                                                </tr>
                                                <?php
                                                $log_count++;
                                            }
                                        } else {
                                            ?>
                                            <tr colspan="3"><td><?php _e('No review form found', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></td></tr>
                                            <?php
                                        }
                                        ?>

                                    </tbody>
                                </table>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <div id="postbox-container-1" class="postbox-container">
            <?php include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . 'inc/backend/includes/sidebar.php'); ?>
        </div>
    </div>
</div>