<?php
defined('ABSPATH') or die("No script kiddies please!");
global $wp_query, $post, $wpdb;
$options = get_option(ER_SETTINGS);
$default_sort = get_option('review_section_sort');


/**
 * Pulling values from basic setting 
 */
$enable_review_in_site = esc_attr($options['enable_disable_review']);
$implement_review_on = esc_attr($options['implement_review_on']); // Enable Disable review for specific page, posts 
$default_review_template = esc_attr($options['er_review_default_template']); // Default review value from option table 
$default_review_form_template = esc_attr($options['er_review_default_form']); // Display hide menu on specific page, home page or specific page */
$default_review_authorization = esc_attr($options['erp_review_authorization']); //Allow logged in, non logged in user to submit review 

if (isset($options['review_section_sort']) && !empty($options['review_section_sort'])) {
    $sorted_review_Section = $options['review_section_sort'];
} else {
    $sorted_review_Section = $default_sort;
}
$default_review_position = esc_attr($options['er_review_position']); //Default review position to display
$erp_enable_disable_google_recaptcha = isset($options['erp_enable_disable_google_recaptcha']) ? esc_attr($options['erp_enable_disable_google_recaptcha']) : 'off'; //Enable Disable Google recapthca in the site
$erp_recaptcha_api_key = esc_attr($options['erp_recaptcha_api_key']); //Google recapthca API public Key
$erp_recaptcha_secret_api_key = esc_attr($options['erp_recaptcha_secret_api_key']); //Google recapthca API secret Key
$erp_admin_review_approval = isset($options['erp_admin_review_approval']) ? esc_attr($options['erp_admin_review_approval']) : 'off'; //Enable disable admin approval to display in frontend

if (!is_404()) {
    $current_page_id = $wp_query->post->ID;
} else {
    $current_page_id = '';
}

// --ends-- Pulling values from basic setting 

/**
 * Pull Page/Post wise Meta Data 
 */
$pagewise_review_data = $this->erp_get_page_base_metabox_data($current_page_id); /* Get all the values from individual page */

$erp_default_pw_review_template = esc_attr($pagewise_review_data['erp_default_pw_review_template']);
$erp_default_pw_review_form_template = esc_attr($pagewise_review_data['erp_default_pw_review_form_template']);
$pw_review_section_sort = $pagewise_review_data['pw_review_section_sort'];
$review_section_pw_show_hide_admin_sec = esc_attr($options['review_section_show_hide_admin_sec']);
$review_section_pw_show_hide_user_sec = esc_attr($options['review_section_show_hide_user_sec']);
$review_section_pw_show_hide_review_form = esc_attr($options['review_section_show_hide_review_form']);
$admin_pw_review_parameter = $pagewise_review_data['admin_pw_review_parameter'];
$er_pw_review_position = esc_attr($pagewise_review_data['er_pw_review_position']);
$erp_pw_review_section_disable_for_particular_section = esc_attr($pagewise_review_data['erp_pw_review_section_disable_for_particular_section']);

$admin_review_details = get_post_meta($erp_default_pw_review_template, 'admin_review_details', true);
$er_pw_review_disabled = !empty($pagewise_review_data['review_section_disable_for_particular_section']) ? esc_attr($pagewise_review_data['review_section_disable_for_particular_section']) : '';
if (isset($admin_review_details) == ''){
$erp_pw_review_form_header = isset($pagewise_review_data['erp_pw_review_form_header']) && !empty($pagewise_review_data['erp_pw_review_form_header']) ? esc_attr($pagewise_review_data['erp_pw_review_form_header']) : esc_attr($admin_review_details['erp_admin_review_header']);
}
$erp_pw_review_summary = nl2br(html_entity_decode($pagewise_review_data['erp_pw_review_summary']));
$page_wise_meta_review_image_type = esc_attr($pagewise_review_data['page_wise_meta_review_image_type']);
$custom_post_type_Screens = $this->erp_get_post_type_slug_lists();

// -- Ends -- Pull Page wise Meta Data 

$erp_stored_meta_value_inner = isset($pagewise_review_data) && !empty($pagewise_review_data) ? 'true' : 'false';

//Review Template
if ($default_review_template != "" && $default_review_template != "default") {
    if (intval($erp_default_pw_review_template) && !empty($default_review_template) && intval($default_review_template)) {
        $ddefault_review_template = $erp_default_pw_review_template;
        $show_hide_default_review_template = "show_default_review_template";
        $load_default_review_template = 1;
    } else {
        if ($erp_default_pw_review_template == "default") {
            $ddefault_review_template = $default_review_template;
            $show_hide_default_review_template = "show_default_review_template";
            $load_default_review_template = 1;
        } else if ($erp_default_pw_review_template == "disable") {
            $ddefault_review_template = $default_review_template;
            $show_hide_default_review_template = "hide_default_review_template";
            $load_default_review_template = 0;
        } else if ($erp_default_pw_review_template == "" && isset($default_review_template) && !empty($default_review_template) && intval($default_review_template)) {
            $ddefault_review_template = $default_review_template;
            $show_hide_default_review_template = "show_default_review_template";
            $load_default_review_template = 1;
        } else if ($erp_default_pw_review_template == "" && $default_menu == "") {
            $ddefault_review_template = $default_review_template;
            $show_hide_default_review_template = "hide_default_review_template";
            $load_default_review_template = 0;
        } else {
            $ddefault_review_template = $erp_default_pw_review_template;
            $show_hide_default_review_template = "hide_default_review_template";
            $load_default_review_template = 0;
        }
    }
} else {
    if (intval($erp_default_pw_review_template)) {
        $ddefault_review_template = $erp_default_pw_review_template;
        $show_hide_default_review_template = 'hide_default_review_template';
    } else {
        $show_hide_default_review_template = "hide_default_review_template";
    }
    $load_default_review_template = 0;
}
//Review Form Template
if ($default_review_form_template != "" && $default_review_form_template != "default") {
    if (intval($erp_default_pw_review_form_template) && !empty($default_review_form_template) && intval($default_review_form_template)) {
        $ddefault_review_form_template = $erp_default_pw_review_form_template;
        $show_hide_default_review_form_template = "show_default_review_form_template";
        $load_default_review_form_template = 1;
    } else {
        if ($erp_default_pw_review_form_template == "default") {
            $ddefault_review_form_template = $default_review_form_template;
            $show_hide_default_review_form_template = "show_default_review_form_template";
            $load_default_review_form_template = 1;
        } else if ($erp_default_pw_review_form_template == "disable") {
            $ddefault_review_form_template = $default_review_form_template;
            $show_hide_default_review_form_template = "hide_default_review_form_template";
            $load_default_review_form_template = 0;
        } else if ($erp_default_pw_review_form_template == "" && isset($default_review_form_template) && !empty($default_review_form_template) && intval($default_review_form_template)) {
            $ddefault_review_form_template = $default_review_form_template;
            $show_hide_default_review_form_template = "show_default_review_form_template";
            $load_default_review_form_template = 1;
        } else if ($erp_default_pw_review_form_template == "" && $default_review_form_template == "") {
            $ddefault_review_form_template = $default_review_form_template;
            $show_hide_default_review_form_template = "hide_default_review_form_template";
            $load_default_review_form_template = 0;
        } else {
            $ddefault_review_form_template = $erp_default_pw_review_form_template;
            $show_hide_default_review_form_template = "hide_default_review_form_template";
            $load_default_review_form_template = 0;
        }
    }
} else {
    if (intval($erp_default_pw_review_form_template)) {
        $ddefault_review_form_template = $erp_default_pw_review_form_template;
        $show_hide_default_review_form_template = 'hide_default_review_form_template';
    } else {
        $show_hide_default_review_form_template = "hide_default_review_form_template";
    }
    $load_default_review_form_template = 0;
}
if (isset($er_pw_review_position) !== 'custom') {
    $inner_check_position = $er_pw_review_position;
} else {
    $inner_check_position = $default_review_position;
}
if ($enable_review_in_site == 'on' && shortcode_exists('everest_review_box')) {
    if (!is_feed()) {
        ?>
        <div class="erp-review-outer-wrapper <?php
             if (is_user_logged_in()) {
                 echo 'erp-logged-in';
             }
             ?>">
                 <?php
                 //Content filter for post singular
                 if (($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-pages-posts')) || ($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-posts'))) {
                     if (is_singular('post')) {
                         if ($show_hide_default_review_template == "show_default_review_template" && $load_default_review_template == 1) {
                             $get_data_from_table = $this->pull_review_templates_by_id($ddefault_review_template);
                             if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
                                 $general_review_settings = get_post_meta($ddefault_review_template, 'general_review_settings', true);
                                 $general_review_settings_parameter = get_post_meta($ddefault_review_template, 'general_review_settings_parameter', true);
                                 $admin_review_details = get_post_meta($ddefault_review_template, 'admin_review_details', true);
                                 $user_review_details = get_post_meta($ddefault_review_template, 'user_review_details', true);
                                 $user_review_form_details = get_post_meta($ddefault_review_template, 'user_review_form_details', true);
                                 $table_name = $wpdb->prefix . "everest_user_review_table";
                                 $limit_val_per_pagination_option = 'LIMIT 99999';
                                 $default_user_reviews = $wpdb->get_results("SELECT * FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND post_stat IN ('', 'approved')order by id ASC $limit_val_per_pagination_option", ARRAY_A);

                                 $user_reviews = $default_user_reviews;
                                 foreach ($default_user_reviews as $user_review) {
                                     $form_review_average_type_values = json_decode($user_review['user_review_value']);
                                 }

                                 if (isset($pagewise_review_data['pw_review_section_sort']) && !empty($pagewise_review_data['pw_review_section_sort'])) {
                                     $sorted_review_Section = $pagewise_review_data['pw_review_section_sort'];
                                 } else if (isset($options['review_section_sort']) && !empty($options['review_section_sort'])) {
                                     $sorted_review_Section = $options['review_section_sort'];
                                 } else {
                                     $sorted_review_Section = $default_sort;
                                 }

                                 //Admin review average score
                                 $sum_admin_value_array = array();
                                 $admin_average_type_review_parameter = $admin_pw_review_parameter;
                                 if (!empty($admin_average_type_review_parameter)) {
                                     foreach ($admin_average_type_review_parameter as $key => $val) {
                                         $sum_admin_value_array[$key] = $val['pw_rating_parameters'];
                                     }
                                 }
                                 $admin_array_value_count = $this->erp_count_recursive($sum_admin_value_array);
                                 if (!empty($admin_array_value_count)) {
                                 $admin_average_score = array_sum($sum_admin_value_array) / $admin_array_value_count;
                             }

                                 //Overall  Average Review

                                 $user_overall_average_array = array();
                                 if (!empty($default_user_reviews)) {
                                     foreach ($default_user_reviews as $user_review) {
                                         $form_review_valuess = json_decode($user_review['user_review_value']);
                                         $sum_individual_user_value_array = array();
                                         if (!empty($form_review_valuess)) {
                                             foreach ($form_review_valuess as $key => $val) {
                                                 $sum_individual_user_value_array[$key] = $val;
                                             }
                                         }
                                         $user_array_value_count = $this->erp_count_recursive($sum_individual_user_value_array);
                                         $user_individual_average_score = array_sum($sum_individual_user_value_array) / $user_array_value_count;
                                         $sum_user_overall_average_array[] = $user_individual_average_score;
                                     }
                                 }
                                 if (!empty($sum_user_overall_average_array)) {
                                     $overall_user_array_value_count = $this->erp_count_recursive($sum_user_overall_average_array);
                                     $overall_user_individual_average_score = array_sum($sum_user_overall_average_array) / $overall_user_array_value_count;
                                 } else {
                                     $overall_user_individual_average_score = '';
                                 }
                                 if (isset($erp_pw_review_section_disable_for_particular_section) && $erp_pw_review_section_disable_for_particular_section == '0') {
                                     include('review-template/' . $general_review_settings['er_review_layout'] . '.php');
                                 }
                             }
                         }
                     }
                 }
                 //Content filter for page singular
                 if (($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-pages-posts')) || ($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-pages'))) {
                     if (is_singular('page')) {
                         if ($show_hide_default_review_template == "show_default_review_template" && $load_default_review_template == 1) {
                             $get_data_from_table = $this->pull_review_templates_by_id($ddefault_review_template);
                             if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
                                 $general_review_settings = get_post_meta($ddefault_review_template, 'general_review_settings', true);
                                 $general_review_settings_parameter = get_post_meta($ddefault_review_template, 'general_review_settings_parameter', true);
                                 $admin_review_details = get_post_meta($ddefault_review_template, 'admin_review_details', true);
                                 $user_review_details = get_post_meta($ddefault_review_template, 'user_review_details', true);
                                 $user_review_form_details = get_post_meta($ddefault_review_template, 'user_review_form_details', true);
                                 $table_name = $wpdb->prefix . "everest_user_review_table";
                                 $limit_val_per_pagination_option = 'LIMIT 99999';
                                 $default_user_reviews = $wpdb->get_results("SELECT * FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND post_stat IN ('', 'approved')order by id ASC $limit_val_per_pagination_option", ARRAY_A);

                                 $user_reviews = $default_user_reviews;
                                 foreach ($default_user_reviews as $user_review) {
                                     $form_review_average_type_values = json_decode($user_review['user_review_value']);
                                 }

                                 //Admin review average score
                                 $sum_admin_value_array = array();
                                 $admin_average_type_review_parameter = $admin_pw_review_parameter;
                                 if (!empty($admin_average_type_review_parameter)) {
                                     foreach ($admin_average_type_review_parameter as $key => $val) {
                                         $sum_admin_value_array[$key] = $val['pw_rating_parameters'];
                                     }
                                 }
                                 $admin_array_value_count = !empty($sum_admin_value_array) ? $this->erp_count_recursive($sum_admin_value_array) : 1;
                                 $admin_average_score = array_sum($sum_admin_value_array) / $admin_array_value_count;

                                 //Overall  Average Review

                                 $user_overall_average_array = array();
                                 if (!empty($default_user_reviews)) {
                                     foreach ($default_user_reviews as $user_review) {
                                         $form_review_valuess = json_decode($user_review['user_review_value']);
                                         $sum_individual_user_value_array = array();
                                         if (!empty($form_review_valuess)) {
                                             foreach ($form_review_valuess as $key => $val) {
                                                 $sum_individual_user_value_array[$key] = $val;
                                             }
                                         }
                                         $user_array_value_count = $this->erp_count_recursive($sum_individual_user_value_array);
                                         if (!empty($user_array_value_count)) {
                                             $user_individual_average_score = array_sum($sum_individual_user_value_array) / $user_array_value_count;
                                         } else {
                                             $user_individual_average_score = '';
                                         }
                                         $sum_user_overall_average_array[] = $user_individual_average_score;
                                     }
                                 }
                                 if (!empty($sum_user_overall_average_array)) {
                                     $overall_user_array_value_count = $this->erp_count_recursive($sum_user_overall_average_array);
                                     $overall_user_individual_average_score = array_sum($sum_user_overall_average_array) / $overall_user_array_value_count;
                                 } else {
                                     $overall_user_individual_average_score = '';
                                 }

                                 if (isset($erp_pw_review_section_disable_for_particular_section) && $erp_pw_review_section_disable_for_particular_section == '0') {
                                     include('review-template/' . $general_review_settings['er_review_layout'] . '.php');
                                 }
                             }
                         }
                     }
                 }
                 //Content filter for custom post type singular
                 if (($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-pages-posts')) || ($erp_stored_meta_value_inner == 'true' && isset($implement_review_on) && ($implement_review_on == 'all-posts'))) {
                     if (!empty($custom_post_type_Screens)) {
                         foreach ($custom_post_type_Screens as $post_keys => $post_vals) {
                             if (is_singular($post_vals)) {
                                 if ($show_hide_default_review_template == "show_default_review_template" && $load_default_review_template == 1) {
                                     $get_data_from_table = $this->pull_review_templates_by_id($ddefault_review_template);
                                     if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
                                         $general_review_settings = get_post_meta($ddefault_review_template, 'general_review_settings', true);
                                         $general_review_settings_parameter = get_post_meta($ddefault_review_template, 'general_review_settings_parameter', true);
                                         $admin_review_details = get_post_meta($ddefault_review_template, 'admin_review_details', true);
                                         $user_review_details = get_post_meta($ddefault_review_template, 'user_review_details', true);
                                         $user_review_form_details = get_post_meta($ddefault_review_template, 'user_review_form_details', true);
                                         $table_name = $wpdb->prefix . "everest_user_review_table";
                                         $limit_val_per_pagination_option = 'LIMIT 99999';
                                         $default_user_reviews = $wpdb->get_results("SELECT * FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND post_stat IN ('', 'approved')order by id ASC $limit_val_per_pagination_option", ARRAY_A);

                                         $user_reviews = $default_user_reviews;
                                         foreach ($default_user_reviews as $user_review) {
                                             $form_review_average_type_values = json_decode($user_review['user_review_value']);
                                         }

                                         if (isset($pagewise_review_data['pw_review_section_sort']) && !empty($pagewise_review_data['pw_review_section_sort'])) {
                                             $sorted_review_Section = $pagewise_review_data['pw_review_section_sort'];
                                         } else if (isset($options['review_section_sort']) && !empty($options['review_section_sort'])) {
                                             $sorted_review_Section = $options['review_section_sort'];
                                         } else {
                                             $sorted_review_Section = $default_sort;
                                         }

                                         //Admin review average score
                                         $sum_admin_value_array = array();
                                         $admin_average_type_review_parameter = $admin_pw_review_parameter;
                                         if (!empty($admin_average_type_review_parameter)) {
                                             foreach ($admin_average_type_review_parameter as $key => $val) {
                                                 $sum_admin_value_array[$key] = $val['pw_rating_parameters'];
                                             }
                                         }
                                         $admin_array_value_count = $this->erp_count_recursive($sum_admin_value_array);
                                         if (!empty($admin_array_value_count)) {
                                             $admin_average_score = array_sum($sum_admin_value_array) / $admin_array_value_count;
                                         } else {
                                             $admin_average_score = '';
                                         }

                                         //Overall  Average Review

                                         $user_overall_average_array = array();
                                         if (!empty($default_user_reviews)) {
                                             foreach ($default_user_reviews as $user_review) {
                                                 $form_review_valuess = json_decode($user_review['user_review_value']);
                                                 $sum_individual_user_value_array = array();
                                                 if (!empty($form_review_valuess)) {
                                                     foreach ($form_review_valuess as $key => $val) {
                                                         $sum_individual_user_value_array[$key] = $val;
                                                     }
                                                 }
                                                 $user_array_value_count = $this->erp_count_recursive($sum_individual_user_value_array);
                                                 $user_individual_average_score = array_sum($sum_individual_user_value_array) / $user_array_value_count;
                                                 $sum_user_overall_average_array[] = $user_individual_average_score;
                                             }
                                         }
                                         if (!empty($sum_user_overall_average_array)) {
                                             $overall_user_array_value_count = $this->erp_count_recursive($sum_user_overall_average_array);
                                             $overall_user_individual_average_score = array_sum($sum_user_overall_average_array) / $overall_user_array_value_count;
                                         } else {
                                             $overall_user_individual_average_score = '';
                                         }
                                         if (isset($erp_pw_review_section_disable_for_particular_section) && $erp_pw_review_section_disable_for_particular_section == '0') {
                                             include('review-template/' . $general_review_settings['er_review_layout'] . '.php');
                                         }
                                     }
                                 }
                             }
                         }
                     }
                 }
                 ?>        
        </div>
        <?php
    } /* Is feed check end */
} /* Enable Menu check end if */    